
Foniatr - Feature #159
skálovací test
24 September 2013 13:44 - Marek Frič

Status: Verified Start date: 03 February 2014
Priority: Normal Due date: 28 February 2014
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 2.00 hours
Target version: Psychotest 1 Spent time: 7.00 hours
Description

Skalovaci test je hodnotenie pripadu (stimulu, alebo viacero stimulov sucasne) pomocou skal
skaly rozoznavame:
- nominalne - to su kategorie (muz, zena, dieta...)
- poradove (malo, stredne, vela)(0,1,...N)
- pomerove (malokrat sa pouzivaju) (0-N)

Najcastejsie sa pouziva hodnotenie na VA (visual analog) skalach- maju tvar usecky, kde sa vyznaci hodnota (mozu byt popisane
niektore body (napriklad krajne body: minumum - maximum, 0-100, alebo i v strede: malo, stredne, velmi)

Prakticky sa to da vyriesit posuvnikom (slider,a podobne) s tym, ze by mohli byt definovane delka(rozsah) - 100mm, a oznacenie
niektorych bodov (0-min, 25 - malo, 50-stred, 75 - velmi, 100-max.)

Subtasks:
Task # 176: škálovací test (VA škála a kategorická škála) Verified

History
#1 - 24 September 2013 13:52 - Tomáš Kulhánek
- Category set to HTML5 client
- Target version set to Psychotest 1

#2 - 27 September 2013 16:14 - Tomáš Kulhánek
- Estimated time set to 2.00

#3 - 08 January 2014 18:25 - Tomáš Kulhánek
- Assignee set to Martin Tribula
- % Done changed from 0 to 10

    -  navrhnout definici v Psychoacoustictest-DSL a interpretaci v HTML5 a Javascriptu
    -  implementovat rozšíření v psychotest-interpret.js
    -  zdokumentovat návrh v popisu DSL - 
http://patf-biokyb.lf1.cuni.cz/wiki/projekty/psychoakusticke_testy/navrh_architektury?&#38;#psychoacoustictest-dsl

#4 - 01 February 2014 14:44 - Martin Tribula
- Status changed from New to In Progress

#5 - 28 February 2014 16:39 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- Assignee changed from Martin Tribula to Tomáš Kulhánek
http://patf-biokyb.lf1.cuni.cz/wiki/projekty/psychoakusticke_testy/navrh_architektury?&#38;#psychoacoustictest-dsl


Použita knihovna ext-jquery-ui (http://bseth99.github.io/jquery-ui-extensions/tests/visual/labeledslider/variable_labels.html
pod MIT Licencí můžeme použít), přidává možnost definovat návěští k slideru.
Hodnoty slideru se zadávají jako výčet:

skalovaci Zadaný text otázky
  hondoty jemný střední ostrý

Aktualizován popis jazyka DSL - oddělen od architektury na nové straně:
http://patf-biokyb.lf1.cuni.cz/wiki/projekty/psychoakusticke_testy/navrh_dsl_jazyka

#6 - 23 June 2014 15:34 - Martin Tribula
- Status changed from Resolved to Verified
